#!/bin/sh

RECPATH=/media/DCIM

mkdir -p $RECPATH

while [ 1 ] ; do
    if [ -f ./config.conf ] ; then
	. ./config.conf
    else
		sleep 1
		continue
    fi

    if [ "$record_enabled" = "1" ] ; then
		echo "Recording enabled"
	else
		sleep 1
		continue
    fi

    if [ "$audio_enabled" = "1" ] ; then
		echo "Recording with audio"
		amixer -D hw:1 set "Auto Gain Control" off
		amixer -D hw:1 set "Mic" 100
		./bin/recorder -e udpsrc port=3003 buffer-size=200000 ! h264parse ! queue ! mux.video_0 alsasrc device=plughw:1,0 ! "audio/x-raw,channels=1,depth=16,width=16,rate=44100" ! voaacenc bitrate=128000 ! aacparse ! queue ! mux.audio_0 qtmux name=mux ! filesink location="$RECPATH/record-`date +%Y%m%d%H%M%S`.mp4" sync=true
    else
		echo "Recording without audio"
		./bin/recorder -e udpsrc port=3003 buffer-size=200000 ! h264parse ! queue ! qtmux ! filesink location="$RECPATH/record-`date +%Y%m%d%H%M%S`.mp4" sync=true
    fi

	echo "Recording stopped"

    sleep 1
done
