#!/bin/sh

while [ 1 ] ; do
    if [ -f ./config.conf ] ; then
		. ./config.conf
    else
		sleep 1
		continue
    fi

    if [ $video_mode = "3D" ] ; then
	    VMOD_STR="-3d sbs"
		PREVIEW3D=" -fs"
	else
	    VMOD_STR=""
		PREVIEW3D=""
	fi

    if [ $dec_enabled = "1" ] ; then
	    DEC_STR="-dec"
	else
	    DEC_STR=""
	fi

	if [ $udp_enabled = "1" ] ; then
		UDP_CLIENTS_LIST=",$udp_clients"
	else
		UDP_CLIENTS_LIST=""
	fi

	if [ $up_down = "1" ] ; then
		UP_DOWN=" -cs 1 --vflip --hflip "
	else
		UP_DOWN=""
	fi


    if [ "$rtmp_enabled" = "1" ] ; then
		RTMP_DST=",127.0.0.1:3002"
	else
		RTMP_DST=""
    fi

    if [ "$mpegts_enabled" = "1" ] ; then
		MPEGTS_DST=",127.0.0.1:3004"
	else
		MPEGTS_DST=""
    fi

    if [ "$record_enabled" = "1" ] ; then
		REC_DST=",127.0.0.1:3003"
	else
		REC_DST=""
    fi

    if [ "$usb_enabled" = "1" ] ; then
		USB_DST=",127.0.0.1:3020"
	else
		USB_DST=""
    fi

	if [ -f "/tmp/skybox.host" ]; then
		SKYBOX_MPEGTS_DST=",127.0.0.1:3011"
	else
		SKYBOX_MPEGTS_DST=""
	fi

	if [ "$rtsp_enabled" = "1" ] ; then
	    ./bin/raspivid -t 0 $DEC_STR $UP_DOWN -w $video_width -h $video_height -fps $video_fps --bitrate $video_bitrate --profile $video_profile $VMOD_STR $PREVIEW3D --intra $video_fps --inline --flush --awb $video_wb --exposure $exposure --sharpness $sharpness --contrast $contrast --digitalgain $digitalgain -o - | ./bin/rtsp-server > /dev/null 2>&1
	else
    	./bin/raspivid -t 0 $DEC_STR $UP_DOWN -w $video_width -h $video_height -fps $video_fps --bitrate $video_bitrate --profile $video_profile $VMOD_STR $PREVIEW3D --intra $video_fps --inline --flush --awb $video_wb --exposure $exposure --sharpness $sharpness --contrast $contrast --digitalgain $digitalgain -o - | ./bin/splitter -c 127.0.0.1:5000,127.0.0.1:3001$UDP_CLIENTS_LIST$USB_DST$MPEGTS_DST$RTMP_DST$REC_DST$SKYBOX_MPEGTS_DST -m 1400
	fi

    sleep 1
done
