var net = require("net");
var WebSocketServer = require('./ws').Server;
var wss;
var sockets = []

module.exports.sockets = sockets;

module.exports.send = function(data){
	if (!sockets) return;

	for (var i in sockets) { 
		if (!sockets[i]._socket.writable) continue;
      	try { sockets[i].send(data, { binary: true}); } catch (e) {}
	} 
}

module.exports.start = function(port, options){
	wss = new WebSocketServer(
		{
			port:port,
			verifyClient:false,
			disableHixie:true,
			clientTracking:false,
			perMessageDeflate:false
		}
	);

	console.log("websockets server started on :" + port);

	wss.on('connection', function(ws) {

		ws.send(JSON.stringify({
			action : "init",
			width  : options.width,
			height : options.height,
		}));

		sockets.push(ws);

		if (module.exports.onConnected != undefined) module.exports.onConnected();

		ws.on('message', function(message) {
			console.log(message);
		}); 

		ws.on('close', function(message) {
			console.log("websockets connection closed");
			for (var i in sockets) { 
				if(ws == sockets[i]) { 
					sockets.splice(i, 1); 
					console.log("websockets clients list cleared");
					break; 
				} 
			} 
		}); 

	});
}
