<style>
	html,body {background-color:black; padding:0; margin:0; width:100%; height:100%; font-family:Arial; -webkit-user-select: none; -moz-user-select: -moz-none; -ms-user-select: none; user-select: none;}
	html {width:100%; height:100%; background-image:url(/imgs/bg.jpg); background-repeat:no-repeat; background-size:contain; background-position: 50% 50%;}

	body { height:90%; background-color:transparent; color:white; }
	a { color:white; }
	#content { position:absolute; width:auto; left:20px; top:20px; right:20px; bottom:20px; overflow:auto; }
	.directoryname { color:white; text-decoration:none; }
	.filename { color:gray; text-decoration:none; }
	.deletetext { color:orange; text-decoration:none; }
	.updirtext { color:white; text-decoration:none; font-size:1.4em; }
	#filelist { margin-top:20px; }
</style>

<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/jquery.ajaxupload.js"></script>

<script>
	$(document).ready(function() {
		LoadDir("", "/");
		UploadInit();
	});

	var currentDir;
	var currentParent;
	var filename;

	function UploadInit() {
		// Set fieldname
		$.ajaxUploadSettings.name = 'uploads[]';

		// Set promptzone
		$('#promptzone').ajaxUploadPrompt({
			url : 'upload.php?dir=' + currentParent + currentDir,

			beforeSend : function () {
				$('#promptzone').hide();
				this.url = 'upload.php?dir=' + currentParent + currentDir;
			},
	
			onprogress : function (e) {
				if (e.lengthComputable) {
					var percentComplete = e.loaded / e.total * 100;
					$("#progressbar").html("uploaded: " + percentComplete.toFixed("F0") + "%");
				}
			},

			error : function () {
			},

			success : function (data) {
				LoadDir(currentDir, currentParent);

				data = $.parseJSON(data);
				var html = '';
				if (data.error) {
					html += 'error: ' + data.error;
				}
				if (data.success) {
				}
				if (data.failed) {
					html += 'files failed: ' + data.failed;
				}
				$('#progressbar').html(html);
				$('#promptzone').show();
			}
		});
	}

	function LoadDir(dir, parent){
		currentDir = dir;
		currentParent = parent;

		$("#status").html('<img src="imgs/loader.gif">');

		$("#filelist").load("load.php?rnd=" + Math.random() + "&dir=" + encodeURIComponent(dir) + "&parent=" + encodeURIComponent(parent), function(response, status, xhr) {
			if (status == "success") {
				$("#status").html("");
			}
			if (status == "error") {
				$("#status").html("failed");
			}
		});
	}

	function EditFile(dir, parent){
		filename = parent + dir;
		$("#status").html('<img src="imgs/loader.gif">');
		$.post("edit.php?rnd=" + Math.random() + "&dir=" + encodeURIComponent(dir) + "&parent=" + encodeURIComponent(parent), {} , function(response, status, xhr) {
			if (status == "success") {
				$("#status").html("");
				$("#savebutton").prop("disabled", true);
				$("#filelist").css("display", "none");
				$("#editfileblock").css("display", "block");
				$("#savestatus").html("");
				$("#filecontent").val(response);
			}
			if (savestatus == "error") {
				$("#status").html("failed");
				$("#filecontent").val("");
			}
		});
	}

	function SaveFile(file, text){
		$("#savestatus").html('<img src="imgs/loader.gif">');
		$.post("save.php?rnd=" + Math.random(), {file: file, text: text}, function(response, status, xhr) {
			if (response == "success") {
				$("#savestatus").html("success");
				$("#savebutton").prop("disabled", true);
			} else {
				$("#status").html(response);
				$("#savebutton").prop("disabled", true);
			}
		});
	}

	function MakeSaveButtonActive(){
		$("#savebutton").prop("disabled", false);
		$("#savebutton").css("color", "orange");
		$("#savestatus").html("");
	}

	function RmDir(dir, parent) {
		var isAdmin = confirm("Delete " + parent + dir + " ?");
		if (!isAdmin) return;
		$("#status").html('<img src="imgs/loader.gif">');
		$.post("remove.php?rnd=" + Math.random(), {dir: encodeURIComponent(dir), parent: encodeURIComponent(parent)}, function(response, status, xhr) {
			if (status == "success") {
				$("#status").html("");
			}
			if (status == "error") {
				$("#status").html("failed");
			}
			LoadDir(currentDir, currentParent); // renew current dir
		});
	}
</script>

<div id="content">

	<h3><a href="/">Back to camera</a></h3>

	<div style="width:100%;">
		<div id="promptzone">
			Click here to choose files to upload
		</div>
		<div id="progressbar" style="margin-top:10px;"></div>

		<div id="editfileblock" style="display:none; height:auto; width:100%;">
			<p><a href="#" onclick='$("#editfileblock").css("display", "none"); $("#filelist").css("display", "block"); return false;'>Back to files</a></p>

			<div id="fileedit" style="height:auto; width:100%; background-color:red;">
				<pre><textarea id="filecontent" style="width:100%; height:300px; padding:10px;" onkeydown="MakeSaveButtonActive();"></textarea></pre>
			</div>

			<p></p>

			<div>
				<input type="button" value="Save" id="savebutton" disabled="disabled" onclick='SaveFile(filename, $("#filecontent").val()); return false;' style="background-color:transparent; padding:10px; color:gray; margin-right:20px;">
				<input type="button" value="Cancel" onclick='$("#editfileblock").css("display", "none"); $("#filelist").css("display", "block"); return false;' style="background-color:transparent; padding:10px; color:white;">
				<span id="savestatus"></span>
			</div>
		</div>

		<div id="filelist"></div>

	</div>

</div>