var mouseButtonDown = false;
var dbltapTimestamp = 0;

$(document).ready(function() {

	$('#video_canvas').on("touchstart", onStartMove);
	$('#video_canvas').on("touchmove", onMove);
	$('#video_canvas').on("mousedown", onStartMove);
	$('#video_canvas').on("touchend", onEndMove);
	$('#video_canvas').on("mousemove", onMove);
	$('#video_canvas').on("mouseup", onEndMove);
	$('#video_canvas').on("mouseleave", onEndMove);

	function onMove(event) {
		if (!mouseButtonDown) return;
		event.preventDefault();

		if (is_settings_opened()) toggle_settings_window();
	}

	function onStartMove(event) {
		mouseButtonDown = true;
		event.preventDefault();

		if (is_settings_opened()) toggle_settings_window();
	}

	function onEndMove(event) {
		if (!mouseButtonDown) return;
		mouseButtonDown = false;
		event.preventDefault();

		// check double tap
		var timestamp = new Date().getTime();
		var delta = timestamp - dbltapTimestamp;
		dbltapTimestamp = timestamp;
		if (delta <= 200) {
			ToggleFullscreen();
			return;
		}

		if (is_settings_opened()) toggle_settings_window();
	}

	ShowHelloMessage();

});


function ToggleFullscreen() {
// if already full screen; exit else go fullscreen
if (
	document.fullscreenElement ||
	document.webkitFullscreenElement ||
	document.mozFullScreenElement ||
	document.msFullscreenElement
) {
	if (document.exitFullscreen) {
		document.exitFullscreen();
	} else if (document.mozCancelFullScreen) {
		document.mozCancelFullScreen();
	} else if (document.webkitExitFullscreen) {
		document.webkitExitFullscreen();
	} else if (document.msExitFullscreen) {
		document.msExitFullscreen();
	}

	if (is_settings_opened()) toggle_settings_window();
	$(".fw_hide").css("display","block");

} else {
	element = $('body').get(0);
	if (element.requestFullscreen) {
		element.requestFullscreen();
	} else if (element.mozRequestFullScreen) {
		element.mozRequestFullScreen();
	} else if (element.webkitRequestFullscreen) {
		element.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT);
	} else if (element.msRequestFullscreen) {
		element.msRequestFullscreen();
	}


	if (is_settings_opened()) toggle_settings_window();
	$(".fw_hide").css("display","none");
}

$("body").css("width","100%");

ShowHelloMessage();

}

function ShowHelloMessage() {
	$("#hellomessage").css("display", "block");
	setTimeout(function(){$("#hellomessage").fadeOut(1000);}, 1000);
}
